# Linux

This section provides the installation steps for NetObserv SNMP Trap. Many users get started using ElastiFlow with the Elastic Stack (Elasticsearch and Kibana). To install and configure the Elastic Stack step-by-step instructions are provided for both [**Ubuntu/Debian**](/data_platforms/elastic/install_ubuntu.md) and [**RedHat/AlmaLinux**](/data_platforms/elastic/install_redhat.md).

NetObserv SNMP Trap can be installed natively on Linux. Packages are currently provided for and supported on the Linux distributions and versions listed in the following table.

| Distribution              | Versions             |
| ------------------------- | -------------------- |
| Ubuntu                    | 22.04 LTS, 24.04 LTS |
| Debian                    | 12                   |
| RHEL/RockyLinux/AlmaLinux | 8.x, 9.x             |

### Ubuntu/Debian Installation (deb)

The Debian package for NetObserv SNMP Trap can be downloaded from [here](https://elastiflow-releases.s3.us-east-2.amazonaws.com/trap-collector/trap-collector_7.24.0_linux_amd64.deb). It can be used for installation on most Debian-based systems such as Debian and Ubuntu.

#### Download the `.deb` Package

The package can be easily downloaded using either the `wget` or `curl` command:

<pre><code>wget https://elastiflow-releases.s3.us-east-2.amazonaws.com/trap-collector/trap-collector_<code class="expression">space.vars.current_version</code>_linux_amd64.deb
</code></pre>

<pre><code>curl https://elastiflow-releases.s3.us-east-2.amazonaws.com/trap-collector/trap-collector_<code class="expression">space.vars.current_version</code>_linux_amd64.deb --output trap-collector_<code class="expression">space.vars.current_version</code>_linux_amd64.deb
</code></pre>

#### Verify the Package

**Checksum Verification**

To ensure the downloaded file was fully downloaded and wasn't corrupted or tampered with, you can verify the provided checksum matches.

<pre data-overflow="wrap"><code>
# get checksum of the downloaded file:
sha256sum trap-collector_<code class="expression">space.vars.current_version</code>_linux_amd64.deb

# verify the checksum provided from the previous command matches the checksum here:
https://elastiflow-releases.s3.us-east-2.amazonaws.com/trap-collector/trap-collector_<code class="expression">space.vars.current_version</code>_linux_amd64.deb.sha256
</code></pre>

**GPG Verification**

ElastiFlow signs the Debian package with a GNU Privacy Guard (GPG) key. To verify the Debian package, download and import the ElastiFlow GPG public key:

```shell
curl -o- https://elastiflow-releases.s3.us-east-2.amazonaws.com/elastiflow.pgp | gpg --import -
```

Next, download the signature file:

<pre data-overflow="wrap"><code>curl -SLO https://elastiflow-releases.s3.us-east-2.amazonaws.com/trap-collector/trap-collector_<code class="expression">space.vars.current_version</code>_linux_amd64.deb.sig
</code></pre>

Finally, verify the file with the signature:

<pre data-overflow="wrap"><code>space.vars.current_version_linux_amd64.deb.sig trap-collector_<code class="expression">space.vars.current_version</code>_linux_amd64.deb/code>
</code></pre>

#### Install the `.deb` Package

There are two methods to install the NetObserv SNMP Trap package, `apt` or `dpkg`.

**Install with `apt`**

<pre data-overflow="wrap"><code>sudo apt install ./trap-collector_<code class="expression">space.vars.current_version</code>_linux_amd64.deb
</code></pre>

**Install with `dpkg`**

<pre data-overflow="wrap"><code>sudo dpkg -i trap-collector_<code class="expression">space.vars.current_version</code>_linux_amd64.deb
</code></pre>

### RedHat/AlmaLinux Installation (rpm)

The RPM package for NetObserv SNMP Trap can be downloaded from [here](https://elastiflow-releases.s3.us-east-2.amazonaws.com/trap-collector/trap-collector-7.24.0-1.x86_64.rpm). It can be used for installation on most RedHat-based systems such as RHEL and CentOS.

#### Download the `.rpm` Package

The package can be easily downloaded using `wget` or `curl`:

<pre data-overflow="wrap"><code>wget https://elastiflow-releases.s3.us-east-2.amazonaws.com/trap-collector/trap-collector-<code class="expression">space.vars.current_version</code>-1.x86_64.rpm
</code></pre>

<pre data-overflow="wrap"><code>curl https://elastiflow-releases.s3.us-east-2.amazonaws.com/trap-collector/trap-collector-<code class="expression">space.vars.current_version</code>-1.x86_64.rpm --output trap-collector-<code class="expression">space.vars.current_version</code>-1.x86_64.rpm
</code></pre>

#### Verify the Package

**Checksum Verification**

To ensure the downloaded file was fully downloaded and wasn't corrupted or tampered with, you can verify the provided checksum matches.

<pre data-overflow="wrap"><code>
# get checksum of the downloaded file:
sha256sum trap-collector-<code class="expression">space.vars.current_version</code>-1.x86_64.rpm

# verify the checksum provided from the previous command matches the checksum here:
https://elastiflow-releases.s3.us-east-2.amazonaws.com/trap-collector/trap-collector-<code class="expression">space.vars.current_version</code>-1.x86_64.rpm.sha256
</code></pre>

**GPG Verification**

ElastiFlow signs the RPM package with a GNU Privacy Guard (GPG) key. To verify the RPM package, download and import the ElastiFlow GPG public key:

```shell
# import public key into gpg keychain
curl -o- https://elastiflow-releases.s3.us-east-2.amazonaws.com/elastiflow.pgp | gpg --import -

# trust the public key
echo "6A2E26EFDE24AA7A634A442ED5C0572E5D212F6B:6:" | gpg --import-ownertrust

# import public key into rpm trust store
rpm --import https://elastiflow-releases.s3.us-east-2.amazonaws.com/elastiflow.pgp
```

Next, download the signature file:

<pre data-overflow="wrap"><code>curl -SLO https://elastiflow-releases.s3.us-east-2.amazonaws.com/trap-collector/trap-collector-<code class="expression">space.vars.current_version</code>-1.x86_64.rpm.sig
</code></pre>

Finally, verify the file with the signature:

<pre data-overflow="wrap"><code>space.vars.current_version-1.x86_64.rpm.sig trap-collector-<code class="expression">space.vars.current_version</code>-1.x86_64.rpm/code>
</code></pre>

#### Install/Upgrade the `.rpm` Package

If installing the NetObserv SNMP Trap package for the first time, i.e. NOT upgrading, run the following:

<pre data-overflow="wrap"><code>sudo yum install -y trap-collector-<code class="expression">space.vars.current_version</code>-1.x86_64.rpm
</code></pre>

If upgrading from a previously installed NetObserv SNMP Trap package, run the following:

<pre data-overflow="wrap"><code>sudo rpm -Uhv trap-collector-<code class="expression">space.vars.current_version</code>-1.x86_64.rpm
</code></pre>

### Configuration

NetObserv SNMP Trap will be installed to run as a daemon managed by `systemd`. Configuration of the collector is provided via environment variables and, depending on the enabled options, via various configuration files which by default are located within `/etc/elastiflow`.

To configure the variables, edit the file `/etc/elastiflow/trapcoll.yml`. For details on all of the configuration options, please refer to the [Configuration Reference](/trapcoll/configuration.md).

{% hint style="success" %}
At a minimum the NetObserv SNMP Trap configuration must point to a valid data store. The most common installation uses Elasticsearch and Kibana as the data store.

To install and configure the Elastic Stack step-by-step instructions are provided for both [**Ubuntu/Debian**](/data_platforms/elastic/install_ubuntu.md) and [**RedHat/AlmaLinux**](/data_platforms/elastic/install_redhat.md).
{% endhint %}

### Checking the SNMP Definition Files

If you are upgrading NetObserv, and the [changelog](/changelog.md) mentions that 'SNMP definition' files have been updated, then consult [this page](/additional-resources-reference-articles/faq/def_download.md) for how to make sure you receive those changes.

### Running the Collector

To start the collector, execute the follow commands:

```shell
sudo systemctl daemon-reload && sudo systemctl start trapcoll.service
```

To ensure the collector has started and is running, execute:

```shell
sudo systemctl status trapcoll.service
```

The collector can be stopped using:

```shell
sudo systemctl stop trapcoll.service
```

If you want the collector to be started automatically when the system is booted, it must be enabled:

```shell
sudo systemctl enable trapcoll.service
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elastiflow.com/trapcoll/installation/install_linux.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
